[Vyřešeno] Přechod ze spinu F27 s KDE na LXDE, resp. LXQt


#1

Železo už mám ňák dýchavičné (ThinkPadR61), doporučeni mi tu bylo, že mám přejít z KDE/Plasma rači na LXDE. Co všechno je třeba udělat? - třeba jsem měl problém u KDE s přihlašovacím prostředím gdm x sddm což jednomu nepřijde hned zásadní, ale bylo (u automatického přihlášení…); sem to tu řešil…


#2

Osobně bych spíš zkusil LXQt. Je to LXDE přepsané do Qt a na rozdíl od LXDE se aktivně vyvíjí. Paměťové nároky jsou jenom o kousek větší. Myslím, že i používají sddm jako KDE, takže bude stačit příkaz: dnf groupinstall ‘LXQt Desktop’


#3

Přihlášení i po instalaci FXQt nenabízí nic jiného, než opět KDE/Plasma. Mám to brát tak, že je potřeba editovat soubor /etc/sddm.conf a do řádku Session= přepsat místo “plasma.desktop” tedy “LXQt.desktop”?
A pak už naběhne po přihlášení ono LXQt?


#4

Po startu systému se objeví pole pro přihlašovací jméno a heslo. Pod nimi je ikona ozubeného kolečka. Když na ni kliknete, měla by se objevit nabídka nainstalovaných grafických rozhraní.


#5

[root@localhost ~]# dnf groupinstall ‘LXQt Desktop’
Poslední kontrola metadat: před 2:02:03, Po 8. leden 2018, 16:08:38 CET.
Prostředí “Pracovní prostředí LXQt” je již nainstalováno.
Skupina ‘base-x’ je již nainstalována.
Skupina ‘Standard’ je již nainstalována.
Skupina ‘Úplný základ’ je již nainstalována.
Skupina ‘Administrace systému’ je již nainstalována.
Skupina ‘Vytáčené připojení’ je již nainstalována.
Skupina ‘Písma’ je již nainstalována.
Skupina ‘Vstupní metody’ je již nainstalována.
Skupina ‘Multimédia’ je již nainstalována.
Skupina ‘Společné podmoduly NetworkManageru’ je již nainstalována.
Skupina ‘Podpora hardware’ je již nainstalována.
Skupina ‘Tiskový server CUPS’ je již nainstalována.
Skupina ‘Agenti hosta desktopu’ je již nainstalována.
Skupina ‘LXQt’ je již nainstalována.
Neexistuje shoda pro skupinu balíčků “xorg-x11-drv-omap”
Neexistuje shoda pro skupinu balíčků “xorg-x11-drv-armsoc”
Závislosti vyřešeny.

Problém: problem with installed package dnfdragora-updater-1.0.1-8.git20171229.24e4647.fc27.noarch

  • package dnfdragora-updater-1.0.1-8.git20171229.24e4647.fc27.noarch requires dnfdragora = 1.0.1-8.git20171229.24e4647.fc27, but none of the providers can be installed
  • installed package dnfdragora-1.0.1-8.git20171229.24e4647.fc27.noarch obsoletes dnfdragora-gui < 1.0.1-7 provided by dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27.noarch
  • package dnfdragora-1.0.1-8.git20171229.24e4647.fc27.noarch obsoletes dnfdragora-gui < 1.0.1-7 provided by dnfdragora-gui-1.0.1-6.git20170505.2a3b056.fc27.noarch
  • conflicting requests
    Není co dělat
    Hotovo!
    [root@localhost ~]#

Zubaté kolečko nikde, to bych samozřejmě zkusil hned. Když mi tedy vypisuje nějaký problém a zároveň tvrdí, že nemá co dělat, tím míň tuším já, lama, co s tím :wink:
Spin s LXQt se mi instalovat nechce, přišel bych o malou domácí síť, kterou mi v potu tváře rozchodil kámoš fedorák… Já v konsoli dávám jen základní věci.


#6

Tož klucí zlatý, tak přítel fedorák (na fóru ani nepřihlášený, lotr jeden) mi radil to stejné, jako někdo tady výš, tedy kliknout ve správci přihlášení (sddm) na zubaté kolečko či co, ale to jsem tam vůbec neměl. Nebudu to hrotit důkazem - fotkou monitoru (abych nemařil místo na serveru).
ALE - v “Nastavení systému” (tedy spíš KDE-Plasmy) je “Spuštění a ukončení”.
To při instalaci toho, co psal Jirka Sešívka nainstaluje i balíček lxqt-common a pak se mezi volbami objeví i kýžené LXQt. Zvolil jsem ho tedy a pro sichr restartoval mašinu. Naběhla (a páč jsem měl i v původní Plasmě “Automatické přihlášení”), automaticky do LXQT, které jede [size=x-large]opravdu svižně a zdá se, že se nekouše[/size].
Takže díky, i když jen tak trošku. Nebýt přítele Romana fedoráka, tak bych si rval vlasy nad pomalostí a kousavostí dál :wink: